%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		entertainer
Version:	0.4.2
Release:	1%{?dist}
Summary:	A simple mediacenter based on clutter
Group:		Applications/Multimedia
License:	GPLv2
URL:		https://launchpad.net/entertainer
Source0:	http://launchpad.net/entertainer/entertainer-0.4/entertainer-0.4.2/+download/entertainer-0.4.2.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils

Requires:	pyclutter-cairo
Requires:	python-CDDB
Requires:	python-eyed3
Requires:	python-feedparser
Requires:	pygtk2-libglade
Requires:	pygobject2
Requires:	gstreamer-python
Requires:	pygtk2
Requires:	python-imaging
Requires:	python-imdb
Requires:	python-vorbis
Requires:	python-storm-sqlite
Requires:	python-twisted
Requires:	pyclutter-gtk
Requires:	pyclutter-gst


%description
Entertainer is a simple and easy-to-use media center solution for
Gnome and XFCE desktop environments. It uses the gstreamer framework
for multimedia playback and is based on clutter.


%prep
%setup -q

#There are some unnecessary prebangs. I'm trying to get rid of them upstream
#https://bugs.launchpad.net/entertainer/+bug/404372
cd entertainerlib
sed -i '1{/^#!/d}' backend/backend_server.py utils/preferences_dialog.py
sed -i '1{/^#/d}' utils/content_management_dialog.py frontend/translation_setup.py


%build
%{__python} setup.py build
%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/entertainer.desktop


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc docs/COPYING docs/developer_documentation.pdf docs/entertainer-depgraph.png
%{_bindir}/%{name}*
%{python_sitelib}/entertainerlib*
%{python_sitelib}/Entertainer-0.4-py2.6.egg-info
%{_datadir}/applications/entertainer.desktop
%{_datadir}/entertainer*
%{_datadir}/icons/hicolor/*
%{_mandir}/man1/entertainer.1.*


%changelog
* Sat Jul 25 2009 Julian Aloofi <julian at, fedoraproject.org> 0.4.2-1
- Initial Fedora package
